/*
 Theme Name:   Pythagora Tema
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* CSS-STRUKTUR
	1. = GLOBALA KLASSER, STILAR & FIX
	2. = Postflöden
	3. = Lösningar / brancher CSS
	4. = KNAPP GLOBAL
	5. = 
 	6. = MENY & MEGA MENU */
@import 'css/menu.css';


/* 1 ================
    KLASSER, STILAR & HOTFIXES
   ================= */

/* LIST FIX*/
ul, ol:not(.main-navigation ul) {margin-left: 20px;}

ul li:not(.main-navigation ul li, .site-footer .fl-module-content ul li, ul.fl-builder-submenu li) {
	margin-bottom: 10px;
}

.col-hover .fl-col-content {transition: all 0.3s;}
.col-hover .fl-col-content:hover {
    box-shadow: 0 0 7px 0 rgba(0,0,0, 0.2);
}

.col-hover .fl-col-content:hover .fl-photo-content .fl-photo-img {
      -webkit-transition: 0.3s ease-in-out;
          transition: 0.3s ease-in-out;
  -webkit-transform: scale(1.05);
          transform: scale(1.05);
    
}

/* Zoom in on hover */
.hover-zoom-in .fl-photo-content {
  overflow: hidden;
}
.hover-zoom-in .fl-photo-content .fl-photo-img {
  -webkit-transition: 0.3s ease-in-out;
          transition: 0.3s ease-in-out;
  will-change: transform;
}
.hover-zoom-in .fl-photo-content .fl-photo-img:hover {
  -webkit-transition: 0.3s ease-in-out;
          transition: 0.3s ease-in-out;
  -webkit-transform: scale(1.05);
          transform: scale(1.05);
}

.equal-height-button {
    align-content: flex-end;
    flex: 1 1 0;
    display: grid;
}
.no-margin p:last-of-type {
    margin-bottom: 0px !important;
}

.fl-rich-text > ul,
.rod-lista .fl-node-content > ul {
 	list-style: none;	
}

.rod-lista .fl-node-content > ul > li::before,
.fl-rich-text > ul > li::before  {
  content: "\2022";
  color: #ef2e24;
  font-weight: bold;
  display: inline-block;
  width: 1em;
  margin-left: -1em; 
}
.fl-builder-pagination ul li::before {
	display: none;
}

 /*=== Media Queries === */
@media screen and (max-width: 768px) {
    
}


/* 2. =========================================
      POSTFLÖDEN
   ============================================ */

.fl-post-grid .fl-post-grid-post {
	position: relative;
    border: 0 !important;
    margin:5px;
	border-radius: 5px !important;
}

.fl-post-grid .fl-post-image {
    overflow: hidden !important;
    height: 200px !important;
}

.fl-post-grid .fl-post-image img {
    object-fit: cover !important;
    object-position: center !important;
    -webkit-transition: all .25s ease-in-out;
    -moz-transition: all .25s ease-in-out;
    -o-transition: all .25s ease-in-out;
    -ms-transition: all .25s ease-in-out;
}
.fl-post-grid .fl-post-image img:hover {
    -webkit-transform: scale(1.05); 
    -moz-transform: scale(1.05);
    -o-transform:scale(1.05);
    transform: scale(1.05);
}

.fl-post-grid .fl-post-text {
    padding: 10px;
	margin-bottom: 50px;
}
.fl-post-grid .fl-post-title {
    font-size: 18px;
	line-height: 26px;
	margin: 10px 0;
	padding: 0;
	font-weight: 600;
	color: #333;
}
.fl-post-grid .fl-post-title a {color: #333 !important;}

.fl-post-grid .fl-post-excerpt {
    font-size: 16px;
    font-weight: normal;
}
.fl-post-grid .fl-post-excerpt p {
	margin-bottom: 10px;
}
.fl-post-date {
    font-size: 13px;
    line-height: 20px;
}
.fl-post-grid .fl-post-more-link {margin-bottom: 10px;}

.post-type,
.post-cat {
    font-size: 14px;
    color: #111;
    text-transform: capitalize;
    padding-bottom: 5px;
    margin-bottom: 5px;
    border-bottom: 1px solid #222;
    display: inline-block;
}

.post-type a:not(:first-of-type),
.post-cat a:not(:first-of-type) {
		margin-left: 5px;
	}

.post-cat {border-bottom: none;}

.tag-pre {margin-right: 10px;}
.tag-pre,
.tag-style {
    font-size: 15px;
}

/* == VISAS I POST-FLÖDEN ============ */
.fl-post-grid .post-tag-container {position:absolute; bottom: 5px;}
.fl-post-grid .post-tag {margin:0;}
.fl-post-grid .post-tag a {
    font-size: 13px;
    color: #666;
    display: inline-block !important;
    margin: 5px 5px 5px 0;
	font-weight: bold;
	text-transform: capitalize;
}
.fl-post-grid .post-tag a:hover {
		color: var(--accent);
}
.fl-post-grid .post-tag a:not(:last-child):after {
		content: " | ";
		color: #666;
}

/* == VISAS I SINGEL-POST ============ */
.tag-style a {
    font-size: 18px;
    color: var(--accent);
    display: inline-block !important;
    margin: 5px 5px 5px 0;
/* 	font-weight: bold; */
	text-transform: capitalize;
	&:hover {
		color: var(--accent);
	}
	&:not(:last-child):after {
		content: " | ";
		color: #666;
	}
}

.tag-style a:hover {
	color: var(--accent);
}
.tag-style a:not(:last-child):after {
	content: " | ";
	color: #666;
}

/* 3. ===============================================================
      LÖSNINGAR / BRANCHER CSS, mallen
   ============================================ */

.losning-flexcontainer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    flex: 0 0 33%;
    row-gap: 1em;
	
}

.losning-flexcontainer .item {
    flex-grow: 1;
    width: 31%;
	padding: 0 10px;
	margin: 0 auto;
}

.losning-flexcontainer .item .rubrik h3 {
	font-size: 1.4em;
	line-height: 1.3em;
}
.losning-flexcontainer .item .rubrik img {
    float: left;
    width: 32px;
    padding: 0;
    margin: 0 10px 0 0
}



@media screen and (max-width: 1024px) {
    .losning-flexcontainer {
        justify-content: space-between;
    }
    .losning-flexcontainer .item {
        width: 49%;
    }
}
@media screen and (max-width: 768px) {
    .losning-flexcontainer {
        justify-content: center;
    }
	.losning-flexcontainer .item {
            width: 95% !important;
        }
}

.bransch-ruta .fl-col-content {
    transition: all 0.2s;
}

.bransch-ruta .fl-col-content:hover {
        background-color: var(--accent);
        margin: 0 0 0 0;
        padding: 5px 0;
        margin-top: 15px;
}


.bransch-ruta .fl-col-content:hover .fl-heading a {
    color: var(--base-3) !important;
}

/* 3. ===============================================================
      GLOBAL KNAPP SOM ANVÄNDS I BEAVER BUILDER
   ============================================ */
.btn a,
.fl-builder-content a.fl-button,
.fl-builder-content a.fl-button:visited,
.fl-builder-content .fl-button-group-button a.fl-button {
    background: var(--accent) !important;
    border: none;
    border-radius: 4px;
    padding: 15px 20px;
    font-size: 1em;
	min-width: 160px;
	max-width: 250px;
    text-align: center;
	box-shadow: 0px 0px 12px -2px rgba(0,0,0, .3);
    transition: all 0.2s ease-in-out;
}

.fl-builder-content .fl-button-group-button a.fl-button:hover {
			background: var(--contrast);
}
	
.btn a,
.fl-builder-content a.fl-button > .fl-button-text {
      color: var(--base-3) !important;
	transition: all 0.2s ease-in-out;
}

.btn a:hover,
.fl-builder-content a.fl-button:hover > .fl-button-text {
        color: var(--accent) !important;
}
